ModuleInfo "Name: BlitzMax Mappy Module"
ModuleInfo "Description: BlitzMax port of the Mappy functions"
ModuleInfo "License: Public Domain"
ModuleInfo "Authors: gman (BlitzMax port), Robin Burrows (original blitz mappy functions)"
import brl.blitz
import brl.pixmap
import brl.max2d
import brl.standardio
MER_MAPTOONEW%=3
MAX2DENV^Object{
.vx%&
.vy%&
.vw%&
.vh%&
.r%&
.g%&
.b%&
.blend%&
.alpha#&
-New%()="_pub_mappy_MAX2DENV_New"
-Delete%()="_pub_mappy_MAX2DENV_Delete"
-EnvStore%()="_pub_mappy_MAX2DENV_EnvStore"
-EnvRestore%()="_pub_mappy_MAX2DENV_EnvRestore"
}="pub_mappy_MAX2DENV"
BLKSTR^Object{
.bg%&
.fg%&
.fg2%&
.fg3%&
.user1%&
.user2%&
.user3%&
.user4%&
.user5%&
.user6%&
.user7%&
.tl%&
.tr%&
.bl%&
.br%&
.trigger%&
.unused1%&
.unused2%&
.unused3%&
-New%()="_pub_mappy_BLKSTR_New"
-Delete%()="_pub_mappy_BLKSTR_Delete"
}="pub_mappy_BLKSTR"
ANISTR^Object{
.antype%&
.andelay%&
.ancount%&
.anuser%&
.ancur%&
.anstart%&
.anend%&
-New%()="_pub_mappy_ANISTR_New"
-Delete%()="_pub_mappy_ANISTR_Delete"
}="pub_mappy_ANISTR"
MappyMap^Object{
.mapmaxlayers%&
.maperror%&
.mapislsb%&
.maptype%&
.mapchunkdone%&
.maptrans8%&
.maptransr%&
.maptransg%&
.maptransb%&
.maptransval%&
.mapwidth%&
.mapheight%&
.mapblockwidth%&
.mapblockheight%&
.mapdepth%&
.mapblockstrsize%&
.mapnumblockstr%&
.mapnumblockgfx%&
.mapblockgapx%&
.mapblockgapy%&
.mapblockstaggerx%&
.mapblockstaggery%&
.mapclickmask_fld%&
.mapcurlyr%&
.mapnumanims%&
.mappt%&[]&[]&[]&
.aniseq%&[]&
.tilegfx:TImage&[]&
.cmappt%&[]&
.blks:BLKSTR&[]&
.anis:ANISTR&[]&
-New%()="_pub_mappy_MappyMap_New"
-Delete%()="_pub_mappy_MappyMap_Delete"
-MapFreeMem%()="_pub_mappy_MappyMap_MapFreeMem"
-MapGetBlock:BLKSTR(mx%,my%)="_pub_mappy_MappyMap_MapGetBlock"
-MapSetBlock%(mx%,my%,mv%)="_pub_mappy_MappyMap_MapSetBlock"
-MapGetBlockInPixels:BLKSTR(mx%,my%)="_pub_mappy_MappyMap_MapGetBlockInPixels"
-MapGetXOffset%(xpix%,ypix%)="_pub_mappy_MappyMap_MapGetXOffset"
-MapGetYOffset%(xpix%,ypix%)="_pub_mappy_MappyMap_MapGetYOffset"
-MapClickMask%(x%,y%,xory%)="_pub_mappy_MappyMap_MapClickMask"
-MapSetBlockInPixels%(mx%,my%,mv%)="_pub_mappy_MappyMap_MapSetBlockInPixels"
-MapCollision%(x%,y%)="_pub_mappy_MappyMap_MapCollision"
-MapPPCollision%(x%,y%)="_pub_mappy_MappyMap_MapPPCollision"
-MapLoad%(mname$,maxlayers%=2)="_pub_mappy_MappyMap_MapLoad"
-MapLoadMAR%(mname$)="_pub_mappy_MappyMap_MapLoadMAR"
-MapGetcksz%(fcpt:TStream)="_pub_mappy_MappyMap_MapGetcksz"
-MapInitAnims%()="_pub_mappy_MappyMap_MapInitAnims"
-MapUpdateAnims%()="_pub_mappy_MappyMap_MapUpdateAnims"
-MapDecodeANDT%(fcpt:TStream,chklen%)="_pub_mappy_MappyMap_MapDecodeANDT"
-MapDecodeBKDT%(fcpt:TStream,chklen%)="_pub_mappy_MappyMap_MapDecodeBKDT"
-MapDecodeMPHD%(fcpt:TStream,chklen%)="_pub_mappy_MappyMap_MapDecodeMPHD"
-MapDecodeLYR%(fcpt:TStream,chklen%,lyrnum%)="_pub_mappy_MappyMap_MapDecodeLYR"
-MapDecodeCMAP%(fcpt:TStream,chklen%)="_pub_mappy_MappyMap_MapDecodeCMAP"
-MapReadLong%(fcpt:TStream)="_pub_mappy_MappyMap_MapReadLong"
-MapReadShort%(fcpt:TStream)="_pub_mappy_MappyMap_MapReadShort"
-MapReadByte%(fcpt:TStream)="_pub_mappy_MappyMap_MapReadByte"
-ResizeMAPPT%(width%,height%,depth%)="_pub_mappy_MappyMap_ResizeMAPPT"
-MapDecodeBGFX%(fcpt:TStream,chklen%)="_pub_mappy_MappyMap_MapDecodeBGFX"
-MapDrawRow%(mx%,my%,sx%,sy%,sw%,sh%,rw%)="_pub_mappy_MappyMap_MapDrawRow"
-MapDrawFG%(mx%,my%,sx%,sy%,sw%,sh%,blyr%)="_pub_mappy_MappyMap_MapDrawFG"
-MapDrawBGT%(mx%,my%,sx%,sy%,sw%,sh%)="_pub_mappy_MappyMap_MapDrawBGT"
-MapDrawBG%(mx%,my%,sx%,sy%,sw%,sh%)="_pub_mappy_MappyMap_MapDrawBG"
-MapDrawStagger%(mx%,my%,sx%,sy%,sw%,sh%,bl%)="_pub_mappy_MappyMap_MapDrawStagger"
-MapDrawImageSimple%(idx%,x#,y#,frame%=0,bDrawBlock%=0)="_pub_mappy_MappyMap_MapDrawImageSimple"
-MapDrawImage%(idx%,x#,y#,frame%=0,bDrawBlock%=0)="_pub_mappy_MappyMap_MapDrawImage"
-MapDrawImageRect%(idx%,x#,y#,rx#,ry#,rw#,rh#,frame%=0)="_pub_mappy_MappyMap_MapDrawImageRect"
-SetDrawingEnv%()="_pub_mappy_MappyMap_SetDrawingEnv"
}="pub_mappy_MappyMap"
